Skip to navigation

List workspace folder contents

View as Markdown
Retrieves workspace folder contents, which can include sub folders and files.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

folderIdstringRequired
The ID of the folder being accessed.
workspaceIdstringRequired
Specifies the workspace ID GUID.

Query parameters

countstringOptional
The maximum number of results to be returned by this request.
include_filesstringOptional

When set to true, file information is returned in the response along with folder information. The default is false.

include_sub_foldersstringOptional

When set to true, information about the sub-folders of the current folder is returned. The default is false.

include_thumbnailsstringOptional

When set to true, thumbnails are returned as part of the response. The default is false.

include_user_detailstringOptional

Set to true to return extended details about the user. The default is false.

start_positionstringOptional
The position within the total result set from which to start returning values.
workspace_user_idstringOptional
If set, then the results are filtered to those associated with the specified userId.

Response

Successful response.
endPositionstringOptional
The last position in the result set.
folderobjectOptional
itemslist of objectsOptional
parentFolderslist of objectsOptional
resultSetSizestringOptional
The number of results returned in this response.
startPositionstringOptional
Starting position of the current result set.
totalSetSizestringOptional

The total number of items in the search’s result set. It will always be greater than or equal to the value of the resultSetSize field.

workspaceIdstringOptional
The id of the workspace, always populated.

Errors

400
Bad Request Error